From 1c56254f8a057011d6009c2c3293b3ff64485b97 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Felix=20Scha=CC=88fer?= <felix@fachschaften.org>
Date: Fri, 7 Jun 2013 22:04:24 +0200
Subject: Use Rails 3 form_for method signature

http://api.rubyonrails.org/classes/ActionView/Helpers/FormHelper.html\#method-i-form_for

--HG--
extra : source : c95cafe696d40b75cf97b76fffd6a40d13e5ed9e
---
 app/helpers/application_helper.rb        |    4 ++--
 app/views/boards/edit.html.erb           |    2 +-
 app/views/boards/new.html.erb            |    2 +-
 app/views/custom_fields/edit.html.erb    |    3 ++-
 app/views/custom_fields/new.html.erb     |    3 ++-
 app/views/groups/_general.html.erb       |    2 +-
 app/views/issue_categories/edit.html.erb |    2 +-
 app/views/issue_categories/new.html.erb  |    2 +-
 app/views/issues/_edit.erb               |    2 +-
 app/views/issues/new.html.erb            |    2 +-
 app/views/news/edit.html.erb             |    2 +-
 app/views/news/index.html.erb            |    2 +-
 app/views/news/new.html.erb              |    2 +-
 app/views/news/show.html.erb             |    2 +-
 app/views/projects/_edit.erb             |    2 +-
 app/views/projects/copy.html.erb         |    2 +-
 app/views/projects/new.html.erb          |    2 +-
 app/views/roles/edit.html.erb            |    2 +-
 app/views/roles/new.html.erb             |    2 +-
 app/views/timelog/edit.html.erb          |    2 +-
 app/views/users/_general.erb             |    2 +-
 app/views/users/new.html.erb             |    2 +-
 app/views/versions/edit.html.erb         |    2 +-
 app/views/versions/new.html.erb          |    2 +-
 app/views/wiki/rename.html.erb           |    3 ++-
 25 files changed, 29 insertions(+), 26 deletions(-)

diff --git a/app/helpers/application_helper.rb b/app/helpers/application_helper.rb
index 2782ab7..2709fbe 100644
--- a/app/helpers/application_helper.rb
+++ b/app/helpers/application_helper.rb
@@ -844,10 +844,10 @@ module ApplicationHelper
     content_tag("label", label_text)
   end
 
-  def labelled_tabular_form_for(name, object, options, &proc)
+  def labelled_tabular_form_for(record, options = {} , &proc)
     options[:html] ||= {}
     options[:html][:class] = 'tabular' unless options[:html].has_key?(:class)
-    form_for(name, object, options.merge({ :builder => TabularFormBuilder, :lang => current_language}), &proc)
+    form_for(record, options.merge({ :builder => TabularFormBuilder, :lang => current_language}), &proc)
   end
 
   def back_url_hidden_field_tag
diff --git a/app/views/boards/edit.html.erb b/app/views/boards/edit.html.erb
index ba4c8b5..e32bfa5 100644
--- a/app/views/boards/edit.html.erb
+++ b/app/views/boards/edit.html.erb
@@ -1,6 +1,6 @@
 <h2><%= l(:label_board) %></h2>
 
-<% labelled_tabular_form_for :board, @board, :url => {:action => 'edit', :id => @board} do |f| %>
+<% labelled_tabular_form_for @board, :url => {:action => 'edit', :id => @board} do |f| %>
   <%= render :partial => 'form', :locals => {:f => f} %>
   <%= submit_tag l(:button_save) %>
 <% end %>
diff --git a/app/views/boards/new.html.erb b/app/views/boards/new.html.erb
index b891218..b036140 100644
--- a/app/views/boards/new.html.erb
+++ b/app/views/boards/new.html.erb
@@ -1,6 +1,6 @@
 <h2><%= l(:label_board_new) %></h2>
 
-<% labelled_tabular_form_for :board, @board, :url => {:action => 'new'} do |f| %>
+<% labelled_tabular_form_for @board, :url => {:action => 'new'} do |f| %>
   <%= render :partial => 'form', :locals => {:f => f} %>
   <%= submit_tag l(:button_create) %>
 <% end %>
diff --git a/app/views/custom_fields/edit.html.erb b/app/views/custom_fields/edit.html.erb
index bc26678..89a8951 100644
--- a/app/views/custom_fields/edit.html.erb
+++ b/app/views/custom_fields/edit.html.erb
@@ -2,7 +2,8 @@
   &#187; <%= link_to l(@custom_field.type_name), :controller => 'custom_fields', :action => 'index', :tab => @custom_field.type %>
   &#187; <%=h @custom_field.name %></h2>
 
-<% labelled_tabular_form_for :custom_field, @custom_field, :url => { :action => "edit", :id => @custom_field } do |f| %>
+<%# TODO: Might need an :as => :custom_field parameter %>
+<% labelled_tabular_form_for @custom_field, :url => { :action => "edit", :id => @custom_field } do |f| %>
 <%= render :partial => 'form', :locals => { :f => f } %>
 <%= submit_tag l(:button_save) %>
 <% end %>
diff --git a/app/views/custom_fields/new.html.erb b/app/views/custom_fields/new.html.erb
index e626ac4..c03895b 100644
--- a/app/views/custom_fields/new.html.erb
+++ b/app/views/custom_fields/new.html.erb
@@ -2,7 +2,8 @@
   &#187; <%= link_to l(@custom_field.type_name), :controller => 'custom_fields', :action => 'index', :tab => @custom_field.type %>
   &#187; <%= l(:label_custom_field_new) %></h2>
 
-<% labelled_tabular_form_for :custom_field, @custom_field, :url => { :action => "new" } do |f| %>
+<%# TODO: Might need an :as => :custom_field parameter %>
+<% labelled_tabular_form_for @custom_field, :url => { :action => "new" } do |f| %>
 <%= render :partial => 'form', :locals => { :f => f } %>
 <%= hidden_field_tag 'type', @custom_field.type %>
 <%= submit_tag l(:button_save) %>
diff --git a/app/views/groups/_general.html.erb b/app/views/groups/_general.html.erb
index f13ef32..14caf53 100644
--- a/app/views/groups/_general.html.erb
+++ b/app/views/groups/_general.html.erb
@@ -1,4 +1,4 @@
-<% labelled_tabular_form_for :group, @group, :url => group_path(@group), :html => {:method => :put} do |f| %>
+<% labelled_tabular_form_for @group, :url => group_path(@group), :html => {:method => :put} do |f| %>
 <%= render :partial => 'form', :locals => { :f => f } %>
 <%= submit_tag l(:button_save) %>
 <% end %>
diff --git a/app/views/issue_categories/edit.html.erb b/app/views/issue_categories/edit.html.erb
index bc62779..a71d74a 100644
--- a/app/views/issue_categories/edit.html.erb
+++ b/app/views/issue_categories/edit.html.erb
@@ -1,6 +1,6 @@
 <h2><%=l(:label_issue_category)%></h2>
 
-<% labelled_tabular_form_for :category, @category, :url => { :action => 'edit', :id => @category } do |f| %>
+<% labelled_tabular_form_for @category, :url => { :action => 'edit', :id => @category } do |f| %>
 <%= render :partial => 'issue_categories/form', :locals => { :f => f } %>
 <%= submit_tag l(:button_save) %>
 <% end %>
diff --git a/app/views/issue_categories/new.html.erb b/app/views/issue_categories/new.html.erb
index ac7936a..842f67a 100644
--- a/app/views/issue_categories/new.html.erb
+++ b/app/views/issue_categories/new.html.erb
@@ -1,6 +1,6 @@
 <h2><%=l(:label_issue_category_new)%></h2>
 
-<% labelled_tabular_form_for :category, @category, :url => { :action => 'new' } do |f| %>
+<% labelled_tabular_form_for @category, :url => { :action => 'new' } do |f| %>
 <%= render :partial => 'issue_categories/form', :locals => { :f => f } %>
 <%= submit_tag l(:button_create) %>
 <% end %>
diff --git a/app/views/issues/_edit.erb b/app/views/issues/_edit.erb
index 8f76744..c66ef78 100644
--- a/app/views/issues/_edit.erb
+++ b/app/views/issues/_edit.erb
@@ -1,4 +1,4 @@
-<% labelled_tabular_form_for :issue, @issue,
+<% labelled_tabular_form_for @issue,
                              :url => {:action => 'update', :id => @issue},
                              :html => {:id => 'issue-form',
                                        :class => nil,
diff --git a/app/views/issues/new.html.erb b/app/views/issues/new.html.erb
index 23b4770..ba22566 100644
--- a/app/views/issues/new.html.erb
+++ b/app/views/issues/new.html.erb
@@ -1,6 +1,6 @@
 <h2><%=l(:label_issue_new)%></h2>
 
-<% labelled_tabular_form_for :issue, @issue, :url => {:controller => 'issues', :action => 'create', :project_id => @project},
+<% labelled_tabular_form_for @issue, :url => {:controller => 'issues', :action => 'create', :project_id => @project},
                              :html => {:multipart => true, :id => 'issue-form', :class => 'tabular new-issue-form'} do |f| %>
     <%= error_messages_for 'issue' %>
     <div class="box">
diff --git a/app/views/news/edit.html.erb b/app/views/news/edit.html.erb
index 0b06986..55cc6cb 100644
--- a/app/views/news/edit.html.erb
+++ b/app/views/news/edit.html.erb
@@ -1,6 +1,6 @@
 <h2><%=l(:label_news)%></h2>
 
-<% labelled_tabular_form_for :news, @news, :url => news_path(@news),
+<% labelled_tabular_form_for @news, :url => news_path(@news),
                                            :html => { :id => 'news-form', :method => :put } do |f| %>
 <%= render :partial => 'form', :locals => { :f => f } %>
 <%= submit_tag l(:button_save) %>
diff --git a/app/views/news/index.html.erb b/app/views/news/index.html.erb
index ad62d24..e4174eb 100644
--- a/app/views/news/index.html.erb
+++ b/app/views/news/index.html.erb
@@ -7,7 +7,7 @@
 
 <div id="add-news" style="display:none;">
 <h2><%=l(:label_news_new)%></h2>
-<% labelled_tabular_form_for :news, @news, :url => project_news_index_path(@project),
+<% labelled_tabular_form_for @news, :url => project_news_index_path(@project),
                                            :html => { :id => 'news-form' } do |f| %>
 <%= render :partial => 'news/form', :locals => { :f => f } %>
 <%= submit_tag l(:button_create) %>
diff --git a/app/views/news/new.html.erb b/app/views/news/new.html.erb
index 0fbc72e..0cfcd7a 100644
--- a/app/views/news/new.html.erb
+++ b/app/views/news/new.html.erb
@@ -1,6 +1,6 @@
 <h2><%=l(:label_news_new)%></h2>
 
-<% labelled_tabular_form_for :news, @news, :url => project_news_index_path(@project),
+<% labelled_tabular_form_for @news, :url => project_news_index_path(@project),
                                            :html => { :id => 'news-form' } do |f| %>
 <%= render :partial => 'news/form', :locals => { :f => f } %>
 <%= submit_tag l(:button_create) %>
diff --git a/app/views/news/show.html.erb b/app/views/news/show.html.erb
index fd92e38..b21646d 100644
--- a/app/views/news/show.html.erb
+++ b/app/views/news/show.html.erb
@@ -16,7 +16,7 @@
 
 <% if authorize_for('news', 'edit') %>
 <div id="edit-news" style="display:none;">
-<% labelled_tabular_form_for :news, @news, :url => news_path(@news),
+<% labelled_tabular_form_for @news, :url => news_path(@news),
                                            :html => { :id => 'news-form', :method => :put } do |f| %>
 <%= render :partial => 'form', :locals => { :f => f } %>
 <%= submit_tag l(:button_save) %>
diff --git a/app/views/projects/_edit.erb b/app/views/projects/_edit.erb
index 2ecc822..a78831e 100644
--- a/app/views/projects/_edit.erb
+++ b/app/views/projects/_edit.erb
@@ -1,4 +1,4 @@
-<% labelled_tabular_form_for :project, @project, :url => project_path(@project), :html => {:method => (@project.new_record? ? :post : :put) } do |f| %>
+<% labelled_tabular_form_for @project, :url => project_path(@project), :html => {:method => (@project.new_record? ? :post : :put) } do |f| %>
 <%= render :partial => 'form', :locals => { :f => f } %>
 <%= submit_tag l(:button_save) %>
 <% end %>
diff --git a/app/views/projects/copy.html.erb b/app/views/projects/copy.html.erb
index 2e7f1ee..0f55f21 100644
--- a/app/views/projects/copy.html.erb
+++ b/app/views/projects/copy.html.erb
@@ -1,6 +1,6 @@
 <h2><%=l(:label_project_new)%></h2>
 
-<% labelled_tabular_form_for :project, @project, :url => { :action => "copy" } do |f| %>
+<% labelled_tabular_form_for @project, :url => { :action => "copy" } do |f| %>
 <%= render :partial => 'form', :locals => { :f => f } %>
 
 <fieldset class="box"><legend><%= l(:button_copy) %></legend>
diff --git a/app/views/projects/new.html.erb b/app/views/projects/new.html.erb
index 2642241..3c0ad4f 100644
--- a/app/views/projects/new.html.erb
+++ b/app/views/projects/new.html.erb
@@ -1,6 +1,6 @@
 <h2><%=l(:label_project_new)%></h2>
 
-<% labelled_tabular_form_for :project, @project, :url => { :action => "create" } do |f| %>
+<% labelled_tabular_form_for @project, :url => { :action => "create" } do |f| %>
 <%= render :partial => 'form', :locals => { :f => f } %>
 <%= submit_tag l(:button_save) %>
 <%= javascript_tag "Form.Element.focus('project_name');" %>
diff --git a/app/views/roles/edit.html.erb b/app/views/roles/edit.html.erb
index 64350bb..e91884d 100644
--- a/app/views/roles/edit.html.erb
+++ b/app/views/roles/edit.html.erb
@@ -1,6 +1,6 @@
 <h2><%= link_to l(:label_role_plural), :controller => 'roles', :action => 'index' %> &#187; <%=h @role.name %></h2>
 
-<% labelled_tabular_form_for :role, @role, :url => { :action => 'edit' }, :html => {:id => 'role_form'} do |f| %>
+<% labelled_tabular_form_for @role, :url => { :action => 'edit' }, :html => {:id => 'role_form'} do |f| %>
 <%= render :partial => 'form', :locals => { :f => f } %>
 <%= submit_tag l(:button_save) %>
 <% end %>
diff --git a/app/views/roles/new.html.erb b/app/views/roles/new.html.erb
index eaa2402..42d9022 100644
--- a/app/views/roles/new.html.erb
+++ b/app/views/roles/new.html.erb
@@ -1,6 +1,6 @@
 <h2><%= link_to l(:label_role_plural), :controller => 'roles', :action => 'index' %> &#187; <%=l(:label_role_new)%></h2>
 
-<% labelled_tabular_form_for :role, @role, :url => { :action => 'new' }, :html => {:id => 'role_form'} do |f| %>
+<% labelled_tabular_form_for @role, :url => { :action => 'new' }, :html => {:id => 'role_form'} do |f| %>
 <%= render :partial => 'form', :locals => { :f => f } %>
 <%= submit_tag l(:button_create) %>
 <% end %>
\ No newline at end of file
diff --git a/app/views/timelog/edit.html.erb b/app/views/timelog/edit.html.erb
index a9580ca..03ba1c9 100644
--- a/app/views/timelog/edit.html.erb
+++ b/app/views/timelog/edit.html.erb
@@ -1,6 +1,6 @@
 <h2><%= l(:label_spent_time) %></h2>
 
-<% labelled_tabular_form_for(:time_entry, @time_entry, :url => {
+<% labelled_tabular_form_for(@time_entry, :url => {
                                :action => (@time_entry.new_record? ? 'create' : 'update'),
                                :id => @time_entry,
                                :project_id => @time_entry.project
diff --git a/app/views/users/_general.erb b/app/views/users/_general.erb
index 7e90ab2..94699b7 100644
--- a/app/views/users/_general.erb
+++ b/app/views/users/_general.erb
@@ -1,4 +1,4 @@
-<% labelled_tabular_form_for :user, @user, :url => { :controller => 'users', :action => "update", :tab => nil }, :html => { :method => :put, :class => nil } do |f| %>
+<% labelled_tabular_form_for @user, :url => { :controller => 'users', :action => "update", :tab => nil }, :html => { :method => :put, :class => nil } do |f| %>
 	<%= render :partial => 'form', :locals => { :f => f } %>
 	<% if @user.active? -%>
 		<p><label><%= check_box_tag 'send_information', 1, true %> <%= l(:label_send_information) %></label></p>
diff --git a/app/views/users/new.html.erb b/app/views/users/new.html.erb
index 0e7a333..bd02be8 100644
--- a/app/views/users/new.html.erb
+++ b/app/views/users/new.html.erb
@@ -1,6 +1,6 @@
 <h2><%= link_to l(:label_user_plural), :controller => 'users', :action => 'index' %> &#187; <%=l(:label_user_new)%></h2>
 
-<% labelled_tabular_form_for :user, @user, :url => { :action => "create" }, :html => { :class => nil } do |f| %>
+<% labelled_tabular_form_for @user, :url => { :action => "create" }, :html => { :class => nil } do |f| %>
 	<%= render :partial => 'form', :locals => { :f => f } %>
 	<p><label><%= check_box_tag 'send_information', 1, true %> <%= l(:label_send_information) %></label></p>
 	<p>
diff --git a/app/views/versions/edit.html.erb b/app/views/versions/edit.html.erb
index 8724fe6..0e54107 100644
--- a/app/views/versions/edit.html.erb
+++ b/app/views/versions/edit.html.erb
@@ -1,6 +1,6 @@
 <h2><%=l(:label_version)%></h2>
 
-<% labelled_tabular_form_for :version, @version, :url => project_version_path(@project, @version), :html => {:method => :put} do |f| %>
+<% labelled_tabular_form_for @version, :url => project_version_path(@project, @version), :html => {:method => :put} do |f| %>
 <%= render :partial => 'form', :locals => { :f => f } %>
 <%= submit_tag l(:button_save) %>
 <% end %>
diff --git a/app/views/versions/new.html.erb b/app/views/versions/new.html.erb
index d604681..e141a11 100644
--- a/app/views/versions/new.html.erb
+++ b/app/views/versions/new.html.erb
@@ -1,6 +1,6 @@
 <h2><%=l(:label_version_new)%></h2>
 
-<% labelled_tabular_form_for :version, @version, :url => project_versions_path(@project) do |f| %>
+<% labelled_tabular_form_for @version, :url => project_versions_path(@project) do |f| %>
 <%= render :partial => 'versions/form', :locals => { :f => f } %>
 <%= submit_tag l(:button_create) %>
 <% end %>
diff --git a/app/views/wiki/rename.html.erb b/app/views/wiki/rename.html.erb
index 2defff5..35c2393 100644
--- a/app/views/wiki/rename.html.erb
+++ b/app/views/wiki/rename.html.erb
@@ -2,7 +2,8 @@
 
 <%= error_messages_for 'page' %>
 
-<% labelled_tabular_form_for :wiki_page, @page, :url => { :action => 'rename' } do |f| %>
+<%# TODO: Might need an :as => :wiki_page parameter %>
+<% labelled_tabular_form_for @page, :url => { :action => 'rename' } do |f| %>
 <div class="box">
 <p><%= f.text_field :title, :required => true, :size => 100  %></p>
 <p><%= f.check_box :redirect_existing_links %></p>
-- 
1.7.1


